Subject: Re: bug#44760: Closure copy in ‘guix systeminit’ is inefficient

From: Ludovic Courtès <[email-masked]>
Date: Tue, 15 Dec 2020 17:38:32 +0100

Ludovic Courtès <[email-masked]> skribis:

> ‘guix system init’ ends by copying the system’s closure from the “host”
> store to the target store; it also initializes the database of that
> target store.

There’s one ‘guix system init’ optimization that would be nice to have
in the installation image: instead of copying store items at all, simply
move the store from its temporary location in /mnt/tmp/guix-inst to
/mnt/gnu/store.  That’d make it zero-copy.

It would probably require a separate code path, but it’s worth
considering.

Thoughts?

Ludo’.